import { InjectionToken } from '@angular/core';
import { ConstructorOptions } from 'sigplot-ts';
/**
 * Setup the initial options for the line plot.
 * See comments for what these flags 'do' for a type 1000 plot, as they
 * differ from a type 2000.
 */
export declare function defaultLineOptions(): ConstructorOptions;
/** Token for modifying the configuration of the plot instance */
export declare let LINE_PLOT_OPTIONS: InjectionToken<ConstructorOptions>;
