import { InjectionToken } from '@angular/core';
import { ConstructorOptions } from 'sigplot-ts';
/**
 * Setup the initial options for a (falling) raster plot.
 * See comments for what these flags 'do' for a type 2000 plot, as they
 * differ from type 1000.
 */
export declare function defaultRasterOptions(): ConstructorOptions;
/** Token for modifying the configuration of the plot instance */
export declare let RASTER_PLOT_OPTIONS: InjectionToken<ConstructorOptions>;
